%define anolis_release 1

Summary: A utility for retrieving files using the HTTP or FTP protocols
Name: wget
Version: 1.24.5
Release: %{anolis_release}%{?dist}
License: GPLv3+
Url: http://www.gnu.org/software/wget/
Source: http://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz
# https://git.savannah.gnu.org/cgit/wget.git/commit/?id=c419542d956a2607bbce5df64b9d378a8588d778
Patch0001: 0002-fix-CVE-2024-10524.patch
Patch0002: wget-1.17-path.patch
Patch0003: wget-1.21-CVE-2024-38428.patch
Patch0004: wget-1.21-metalink-man.patch
Patch0005: wget-1.24.5-no-nettle.patch

Provides: webclient
Provides: bundled(gnulib)
# needed for test suite
BuildRequires: make
BuildRequires: perl(lib)
BuildRequires: perl(English)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: python3
BuildRequires: gnutls-devel
BuildRequires: pkgconfig
BuildRequires: texinfo
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: libidn2-devel
BuildRequires: libuuid-devel
BuildRequires: perl-podlators
BuildRequires: libpsl-devel
BuildRequires: gpgme-devel
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: libmetalink-devel

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure \
    --with-ssl=gnutls \
    --with-libpsl \
    --enable-largefile \
    --enable-opie \
    --enable-digest \
    --enable-ntlm \
    --enable-nls \
    --enable-ipv6 \
    --disable-rpath \
    --with-metalink \
    --disable-year2038

%{make_build}

%install
%{make_install}

%find_lang %{name}
%find_lang %{name}-gnulib

%generate_compatibility_deps

%check
%{make_build} check

%files -f %{name}.lang -f %{name}-gnulib.lang
%dir %{abidir}
%doc COPYING doc/sample.wgetrc
%config(noreplace) %{_sysconfdir}/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{abidir}/wget-option.list
%{_infodir}/*

%files doc
%doc AUTHORS MAILING-LIST NEWS README 

%changelog
* Fri Feb 28 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 1.24.5-1
- Fix CVE-2024-38428
- Remove patch which already exist in upstream
- Add patches to fix some bugs
  [Patches cherry-picked from c10s. Original changelog:
  - Revert back to using GnuTLS as the TLS backend
  - Use bundled implementation of MD4 for NTLM (1.24.5-5)]

* Wed Jan 15 2025 yangxinyu <yangxinyu@nfschina.com> - 1.21.4-4
- fix CVE-2024-10524

* Thu Jul 11 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.21.4-3
- rebuild for an23

* Wed May 22 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.21.4-2
- fix source link

* Sat May 13 2023 Funda Wang <fundawang@yeah.net> - 1.21.4-1
- New version 1.21.4

* Sat Oct 29 2022 Funda Wang <fundawang@yeah.net> - 1.21.3-1
- New version 1.21.3

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.21.2-2
- optimise spec file & add doc package

* Thu Mar 10 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> 1.21.2-1
- New version 1.21.2
- Init for Anolis OS 23
